[PATCH 7/8] tests: Add an option to run only a subset of modules
Ilan Peer
ilan.peer
Sun Oct 26 00:06:34 PDT 2014
Add to run-all.sh an option to run only tests for tests modules
specified in a given file.
Signed-off-by: Ilan Peer <ilan.peer at intel.com>
---
tests/hwsim/run-all.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 51772d9..85727fc 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -30,6 +30,7 @@ unset TRACE_ARGS
unset BUILD
unset BUILD_ARGS
unset CODECOV
+unset MODULES_FILE
while [ "$1" != "" ]; do
case $1 in
-v | --valgrind ) shift
@@ -54,6 +55,11 @@ while [ "$1" != "" ]; do
CODECOV=lcov
BUILD_ARGS=-c
;;
+ -l | --modules-file ) shift
+ echo "$0: using modules file $1"
+ MODULES_ARGS="-l $1"
+ shift
+ ;;
* ) exit 1
esac
done
@@ -91,7 +97,7 @@ if ! ./start.sh $VALGRIND $TRACE $NUM_CH; then
exit 1
fi
-sudo ./run-tests.py -D --logdir "$LOGDIR" $TRACE_ARGS -q $DB $@ || errors=1
+sudo ./run-tests.py -D --logdir "$LOGDIR" $MODULES_ARGS $TRACE_ARGS -q $DB $@ || errors=1
./stop.sh
--
1.8.3.2
More information about the Hostap
mailing list